(defun c:ResultX (BasePoint CurrentPoint /
		  l bX cX dX sX)
  (setq l (distance BasePoint CurrentPoint)
	bX (car BasePoint)
	cX (car CurrentPoint)
	dX (- cX bX)
	sX (if (> l 0.0)
	     (* (/ dX l) 100.0)
	     0.0
	     )
	)
  (strcat "dX: " (VL-PRINC-TO-STRING dx) "\n = " (VL-PRINC-TO-STRING sX) "%")
  )
(defun c:ResultY (BasePoint CurrentPoint /
		  l bY cY dY sY)
  (setq l (distance BasePoint CurrentPoint)
	
	bY (cadr BasePoint)
	cY (cadr CurrentPoint)
	dY (- cY bY)
	sY (if (> l 0.0)
	     (* (/ dY l) 100.0)
	     0.0
	     )
	)
  (strcat "dY: " (VL-PRINC-TO-STRING dY) "\n = " (VL-PRINC-TO-STRING sY) "%")
  )
(defun c:AcGetTest (/ BasePoint)
  (setq BasePoint (getpoint "\nBasispunkt: ")
	res (AcShowCoordinates BasePoint "c:ResultX" '("X" "Y"))
	)
  (while (= (type res) 'Str)
    (cond
      ((or (= res "X")(= res "Xsteigung"))
       (setq res (AcShowCoordinates BasePoint "c:ResultX" '("X" "Y")))
       )
      ((or (= res "Y") (= res "Ysteigung"))
       (setq res (AcShowCoordinates BasePoint "c:ResultY" '("Xsteigung" "Ysteigung")))
       )
      )
    )
  (princ res)
  )
